package com.chinaitop.depot.intelligent.ventilation.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageFoodbasicinfo {
    private Integer id;

    private Integer houseId;

    private Integer warehouseId;

    private String recordUnite;

    private String keepUnite;

    private String locationNum;

    private String quality;

    private Integer subType;

    private Integer subTypeDetailed;

    private String htype;

    private Double number;

    private Double standNumber;

    private Date inputYear;

    private Integer growYear;

    private String keepMethod;

    private String level;

    private String weight;

    private String impurity;

    private String water;

    private String unsound;

    private String recorder;

    private String houseType;

    private BigDecimal designHouseCapacity;

    private String validHouseCapacity;

    private String price;

    private String placeOfOrigin;

    private String storageLocation;

    private String disperseCapacity;

    private BigDecimal length;

    private BigDecimal width;

    private BigDecimal height;

    private String packNum;

    private String packAverageWeight;

    private String keeperIds;

    private String glutenWaterCount;

    private String eatScore;

    private String unitHead;

    private String fatIndex;

    private String peroxideValue;

    private String refractionIndex;

    private String residualSolvent;

    private String fillingTime;

    private BigDecimal lineHeight;

    private String sealStatus;

    private String authCode;

    private Integer orgId;

    private Integer historyStatus;

    //业务字段
    private String storehouseName;

    private String wareHouseName;

    private String keeperNames;

    private String storehouseCode;
    private String warehouseCode;

    /**
     * 粮食基本信息(粮情专卡)
     * @return id 粮食基本信息(粮情专卡)
     */
    public Integer getId() {
        return id;
    }

    /**
     * 粮食基本信息(粮情专卡)
     * @param id 粮食基本信息(粮情专卡)
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房id
     * @return house_id 仓房id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房id
     * @param houseId 仓房id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 填卡单位
     * @return record_unite 填卡单位
     */
    public String getRecordUnite() {
        return recordUnite;
    }

    /**
     * 填卡单位
     * @param recordUnite 填卡单位
     */
    public void setRecordUnite(String recordUnite) {
        this.recordUnite = recordUnite == null ? null : recordUnite.trim();
    }

    /**
     * 保管单位
     * @return keep_unite 保管单位
     */
    public String getKeepUnite() {
        return keepUnite;
    }

    /**
     * 保管单位
     * @param keepUnite 保管单位
     */
    public void setKeepUnite(String keepUnite) {
        this.keepUnite = keepUnite == null ? null : keepUnite.trim();
    }

    /**
     * 货位编号
     * @return location_num 货位编号
     */
    public String getLocationNum() {
        return locationNum;
    }

    /**
     * 货位编号
     * @param locationNum 货位编号
     */
    public void setLocationNum(String locationNum) {
        this.locationNum = locationNum == null ? null : locationNum.trim();
    }

    /**
     * 储粮性质
     * @return quality 储粮性质
     */
    public String getQuality() {
        return quality;
    }

    /**
     * 储粮性质
     * @param quality 储粮性质
     */
    public void setQuality(String quality) {
        this.quality = quality == null ? null : quality.trim();
    }

    /**
     * 品种
     * @return sub_type 品种
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 品种
     * @param subType 品种
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 明细品种
     * @return sub_type_detailed 明细品种
     */
    public Integer getSubTypeDetailed() {
        return subTypeDetailed;
    }

    /**
     * 明细品种
     * @param subTypeDetailed 明细品种
     */
    public void setSubTypeDetailed(Integer subTypeDetailed) {
        this.subTypeDetailed = subTypeDetailed;
    }

    /**
     * 储存状态 0：在储 1：历史
     * @return htype 储存状态 0：在储 1：历史
     */
    public String getHtype() {
        return htype;
    }

    /**
     * 储存状态 0：在储 1：历史
     * @param htype 储存状态 0：在储 1：历史
     */
    public void setHtype(String htype) {
        this.htype = htype == null ? null : htype.trim();
    }

    /**
     * 实际数量（kg）
     * @return number 实际数量（kg）
     */
    public Double getNumber() {
        return number;
    }

    /**
     * 实际数量（kg）
     * @param number 实际数量（kg）
     */
    public void setNumber(Double number) {
        this.number = number;
    }

    /**
     * 折合标准数量(吨)
     * @return stand_number 折合标准数量(吨)
     */
    public Double getStandNumber() {
        return standNumber;
    }

    /**
     * 折合标准数量(吨)
     * @param standNumber 折合标准数量(吨)
     */
    public void setStandNumber(Double standNumber) {
        this.standNumber = standNumber;
    }

    /**
     * 入仓时间
     * @return input_year 入仓时间
     */
    public Date getInputYear() {
        return inputYear;
    }

    /**
     * 入仓时间
     * @param inputYear 入仓时间
     */
    public void setInputYear(Date inputYear) {
        this.inputYear = inputYear;
    }

    /**
     * 收货年度
     * @return grow_year 收货年度
     */
    public Integer getGrowYear() {
        return growYear;
    }

    /**
     * 收货年度
     * @param growYear 收货年度
     */
    public void setGrowYear(Integer growYear) {
        this.growYear = growYear;
    }

    /**
     * 保管方式
     * @return keep_method 保管方式
     */
    public String getKeepMethod() {
        return keepMethod;
    }

    /**
     * 保管方式
     * @param keepMethod 保管方式
     */
    public void setKeepMethod(String keepMethod) {
        this.keepMethod = keepMethod == null ? null : keepMethod.trim();
    }

    /**
     * 等级
     * @return level 等级
     */
    public String getLevel() {
        return level;
    }

    /**
     * 等级
     * @param level 等级
     */
    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    /**
     * 容重（出糙率%或纯粮率%）
     * @return weight 容重（出糙率%或纯粮率%）
     */
    public String getWeight() {
        return weight;
    }

    /**
     * 容重（出糙率%或纯粮率%）
     * @param weight 容重（出糙率%或纯粮率%）
     */
    public void setWeight(String weight) {
        this.weight = weight == null ? null : weight.trim();
    }

    /**
     * 杂质（%）
     * @return impurity 杂质（%）
     */
    public String getImpurity() {
        return impurity;
    }

    /**
     * 杂质（%）
     * @param impurity 杂质（%）
     */
    public void setImpurity(String impurity) {
        this.impurity = impurity == null ? null : impurity.trim();
    }

    /**
     * 入仓水分（%）
     * @return water 入仓水分（%）
     */
    public String getWater() {
        return water;
    }

    /**
     * 入仓水分（%）
     * @param water 入仓水分（%）
     */
    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    /**
     * 不完善粒（整精米粒%）
     * @return unsound 不完善粒（整精米粒%）
     */
    public String getUnsound() {
        return unsound;
    }

    /**
     * 不完善粒（整精米粒%）
     * @param unsound 不完善粒（整精米粒%）
     */
    public void setUnsound(String unsound) {
        this.unsound = unsound == null ? null : unsound.trim();
    }

    /**
     * 建卡人
     * @return recorder 建卡人
     */
    public String getRecorder() {
        return recorder;
    }

    /**
     * 建卡人
     * @param recorder 建卡人
     */
    public void setRecorder(String recorder) {
        this.recorder = recorder == null ? null : recorder.trim();
    }

    /**
     * 仓型
     * @return house_type 仓型
     */
    public String getHouseType() {
        return houseType;
    }

    /**
     * 仓型
     * @param houseType 仓型
     */
    public void setHouseType(String houseType) {
        this.houseType = houseType == null ? null : houseType.trim();
    }

    /**
     * 设计仓容
     * @return design_house_capacity 设计仓容
     */
    public BigDecimal getDesignHouseCapacity() {
        return designHouseCapacity;
    }

    /**
     * 设计仓容
     * @param designHouseCapacity 设计仓容
     */
    public void setDesignHouseCapacity(BigDecimal designHouseCapacity) {
        this.designHouseCapacity = designHouseCapacity;
    }

    /**
     * 有效仓容
     * @return valid_house_capacity 有效仓容
     */
    public String getValidHouseCapacity() {
        return validHouseCapacity;
    }

    /**
     * 有效仓容
     * @param validHouseCapacity 有效仓容
     */
    public void setValidHouseCapacity(String validHouseCapacity) {
        this.validHouseCapacity = validHouseCapacity == null ? null : validHouseCapacity.trim();
    }

    /**
     * 价位(元/Kg)
     * @return price 价位(元/Kg)
     */
    public String getPrice() {
        return price;
    }

    /**
     * 价位(元/Kg)
     * @param price 价位(元/Kg)
     */
    public void setPrice(String price) {
        this.price = price == null ? null : price.trim();
    }

    /**
     * 产地
     * @return place_of_origin 产地
     */
    public String getPlaceOfOrigin() {
        return placeOfOrigin;
    }

    /**
     * 产地
     * @param placeOfOrigin 产地
     */
    public void setPlaceOfOrigin(String placeOfOrigin) {
        this.placeOfOrigin = placeOfOrigin == null ? null : placeOfOrigin.trim();
    }

    /**
     * 存储地点
     * @return storage_location 存储地点
     */
    public String getStorageLocation() {
        return storageLocation;
    }

    /**
     * 存储地点
     * @param storageLocation 存储地点
     */
    public void setStorageLocation(String storageLocation) {
        this.storageLocation = storageLocation == null ? null : storageLocation.trim();
    }

    /**
     * 散存粮体积
     * @return disperse_capacity 散存粮体积
     */
    public String getDisperseCapacity() {
        return disperseCapacity;
    }

    /**
     * 散存粮体积
     * @param disperseCapacity 散存粮体积
     */
    public void setDisperseCapacity(String disperseCapacity) {
        this.disperseCapacity = disperseCapacity == null ? null : disperseCapacity.trim();
    }

    /**
     * 长（米）
     * @return length 长（米）
     */
    public BigDecimal getLength() {
        return length;
    }

    /**
     * 长（米）
     * @param length 长（米）
     */
    public void setLength(BigDecimal length) {
        this.length = length;
    }

    /**
     * 宽（直径米）
     * @return width 宽（直径米）
     */
    public BigDecimal getWidth() {
        return width;
    }

    /**
     * 宽（直径米）
     * @param width 宽（直径米）
     */
    public void setWidth(BigDecimal width) {
        this.width = width;
    }

    /**
     * 高（米）
     * @return height 高（米）
     */
    public BigDecimal getHeight() {
        return height;
    }

    /**
     * 高（米）
     * @param height 高（米）
     */
    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    /**
     * 包存粮包数
     * @return pack_num 包存粮包数
     */
    public String getPackNum() {
        return packNum;
    }

    /**
     * 包存粮包数
     * @param packNum 包存粮包数
     */
    public void setPackNum(String packNum) {
        this.packNum = packNum == null ? null : packNum.trim();
    }

    /**
     * 平均包重（公斤）
     * @return pack_average_weight 平均包重（公斤）
     */
    public String getPackAverageWeight() {
        return packAverageWeight;
    }

    /**
     * 平均包重（公斤）
     * @param packAverageWeight 平均包重（公斤）
     */
    public void setPackAverageWeight(String packAverageWeight) {
        this.packAverageWeight = packAverageWeight == null ? null : packAverageWeight.trim();
    }

    /**
     * 保管员ids(可能存在多个保管员)
     * @return keeper_ids 保管员ids(可能存在多个保管员)
     */
    public String getKeeperIds() {
        return keeperIds;
    }

    /**
     * 保管员ids(可能存在多个保管员)
     * @param keeperIds 保管员ids(可能存在多个保管员)
     */
    public void setKeeperIds(String keeperIds) {
        this.keeperIds = keeperIds == null ? null : keeperIds.trim();
    }

    /**
     * 面筋吸水量
     * @return gluten_water_count 面筋吸水量
     */
    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    /**
     * 面筋吸水量
     * @param glutenWaterCount 面筋吸水量
     */
    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount == null ? null : glutenWaterCount.trim();
    }

    /**
     * 品尝评分值
     * @return eat_score 品尝评分值
     */
    public String getEatScore() {
        return eatScore;
    }

    /**
     * 品尝评分值
     * @param eatScore 品尝评分值
     */
    public void setEatScore(String eatScore) {
        this.eatScore = eatScore == null ? null : eatScore.trim();
    }

    /**
     * 单位负责人
     * @return unit_head 单位负责人
     */
    public String getUnitHead() {
        return unitHead;
    }

    /**
     * 单位负责人
     * @param unitHead 单位负责人
     */
    public void setUnitHead(String unitHead) {
        this.unitHead = unitHead == null ? null : unitHead.trim();
    }

    /**
     * 酸值
     * @return fat_index 酸值
     */
    public String getFatIndex() {
        return fatIndex;
    }

    /**
     * 酸值
     * @param fatIndex 酸值
     */
    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex == null ? null : fatIndex.trim();
    }

    /**
     * 过氧化值
     * @return peroxide_value 过氧化值
     */
    public String getPeroxideValue() {
        return peroxideValue;
    }

    /**
     * 过氧化值
     * @param peroxideValue 过氧化值
     */
    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue == null ? null : peroxideValue.trim();
    }

    /**
     * 折光指数
     * @return refraction_index 折光指数
     */
    public String getRefractionIndex() {
        return refractionIndex;
    }

    /**
     * 折光指数
     * @param refractionIndex 折光指数
     */
    public void setRefractionIndex(String refractionIndex) {
        this.refractionIndex = refractionIndex == null ? null : refractionIndex.trim();
    }

    /**
     * 溶剂残留量
     * @return residual_solvent 溶剂残留量
     */
    public String getResidualSolvent() {
        return residualSolvent;
    }

    /**
     * 溶剂残留量
     * @param residualSolvent 溶剂残留量
     */
    public void setResidualSolvent(String residualSolvent) {
        this.residualSolvent = residualSolvent == null ? null : residualSolvent.trim();
    }

    /**
     * 填卡日期
     * @return filling_time 填卡日期
     */
    public String getFillingTime() {
        return fillingTime;
    }

    /**
     * 填卡日期
     * @param fillingTime 填卡日期
     */
    public void setFillingTime(String fillingTime) {
        this.fillingTime = fillingTime == null ? null : fillingTime.trim();
    }

    /**
     * 装粮线高度
     * @return line_height 装粮线高度
     */
    public BigDecimal getLineHeight() {
        return lineHeight;
    }

    /**
     * 装粮线高度
     * @param lineHeight 装粮线高度
     */
    public void setLineHeight(BigDecimal lineHeight) {
        this.lineHeight = lineHeight;
    }

    /**
     * 封仓状态：0:未封仓,1:已封仓
     * @return seal_status 封仓状态：0:未封仓,1:已封仓
     */
    public String getSealStatus() {
        return sealStatus;
    }

    /**
     * 封仓状态：0:未封仓,1:已封仓
     * @param sealStatus 封仓状态：0:未封仓,1:已封仓
     */
    public void setSealStatus(String sealStatus) {
        this.sealStatus = sealStatus == null ? null : sealStatus.trim();
    }

    /**
     * 库存识别码
     * @return auth_code 库存识别码
     */
    public String getAuthCode() {
        return authCode;
    }

    /**
     * 库存识别码
     * @param authCode 库存识别码
     */
    public void setAuthCode(String authCode) {
        this.authCode = authCode == null ? null : authCode.trim();
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 0:最新数据  1:历史数据
     * @return history_status 0:最新数据  1:历史数据
     */
    public Integer getHistoryStatus() {
        return historyStatus;
    }

    /**
     * 0:最新数据  1:历史数据
     * @param historyStatus 0:最新数据  1:历史数据
     */
    public void setHistoryStatus(Integer historyStatus) {
        this.historyStatus = historyStatus;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getKeeperNames() {
        return keeperNames;
    }

    public void setKeeperNames(String keeperNames) {
        this.keeperNames = keeperNames;
    }

    public String getStorehouseCode() {
        return storehouseCode;
    }

    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }
}